/// <reference types="node" />
import { IncomingMessage } from 'http';
import { Socket } from 'net';
import IWsShelf from '../interfaces/IWsShelf';
import IWsParams from '../interfaces/IWsParams';
export default class CreateWsRouteHandler {
    private request;
    private socket;
    private head;
    private wsShelf;
    constructor(wsShelf: IWsShelf, request: IncomingMessage, socket: Socket, head: Buffer);
    handle(): void;
    handleUpgradeListenEventsAndSetSocket(ws: IWsParams, wsPair: IWsParams): void;
}
