"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function checkCreateWsRouteRequest(filters, response) {
    if (filters == undefined) {
        return 'request missing filters';
    }
    else if (filters.path == undefined) {
        return 'request missing route path';
    }
    else if (!checkPath(filters.path)) {
        return 'request with invalid route path';
    }
}
exports.default = checkCreateWsRouteRequest;
function checkPath(path) {
    let re = /^\/[-_\w\d\/]*/;
    return re.test(path);
}
