"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const jsend_consts_1 = require("../consts/jsend-consts");
function getJsend({ statusCode, data, message }) {
    let statusString = jsend_consts_1.StatusSuccess;
    switch (true) {
        case (statusCode >= 500):
            statusString = jsend_consts_1.StatusError;
            break;
        case (statusCode >= 400 && statusCode < 500):
            statusString = jsend_consts_1.StatusFail;
            break;
    }
    return JSON.stringify({ status: statusString, data: data, message: message });
}
exports.default = getJsend;
