"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function getRequestBody(req) {
    return new Promise((resolve, reject) => {
        let body = '';
        req.on('data', (chunk) => body += chunk.toString());
        req.on('end', () => resolve(body));
        req.on('error', reject);
    });
}
exports.default = getRequestBody;
