import IRoute from '../interfaces/IRoute';
import IRouteShelf from '../interfaces/IRouteShelf';
export default class RouteShelf implements IRouteShelf {
    private routesList;
    getItem(path: string, method: string): Promise<IRoute>;
    getItems(): IRoute[];
    setItem(route: IRoute): boolean;
    updateItem(routePath: string, routeMethod: string, route: IRoute): boolean;
    removeItem(routePath: string, routeMethod: string): boolean;
    private filterRoutesByPath;
    private filterPathAndMethodDifferentsRoutes;
    private getRouteByPathAndMethod;
    private getRouteByMethod;
}
