import IWs from '../interfaces/IWs';
import IWsShelf from '../interfaces/IWsShelf';
import * as WebSocket from 'ws';
import IWsParams from '../interfaces/IWsParams';
export default class WsShelf implements IWsShelf {
    private wsList;
    getWs(path: string): IWs;
    setWs(webSocket: IWs): boolean;
    deleteWs(path: string): boolean;
    trySendAllPendingMessages(ws: IWsParams): void;
    tryToSendMessageOrStorage(ws: IWsParams, msg: WebSocket.Data): void;
    private findWsByRoutePath;
    private filterByPath;
}
